<?php
namespace Claromentis\Blog\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_c7b86566f58" . "35e34c8ef0cf" . "3b36b6046" => base64_decode("L2Jsb" . "2cv"), "_95a58f0bfdaaa9a6ee1befaa909a62" . "e5" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0ZV91" . "cmwuYmxvZw=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractBlogAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_95a58f0bfdaaa9a6" . "ee1befaa909a62e5"]);
    }
    
    
    
    
    public function getLink($_0ea4e32b57963ac0cb3057e03e9aef64) : string
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c7b86566f5835e34c8" . "ef0cf3b36b6046"] . $_0ea4e32b57963ac0cb3057e03e9aef64;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}